# EjsS Library License

* You may only use Easy JavaScript Simulations (EjsS) and the simulations created with it under the terms of a relevant license agreement.
* Easy JavaScript Simulations can be freely copied and distributed for non-commercial purposes.
* The simulations created with Easy JavaScript Simulations can also be copied and distributed freely for non-commercial uses.
* If you intend to use Easy JavaScript Simulations, or create simulations with it, for a commercial purpose, please contact us at ejsS@um.es to arrange a commercial agreement with us.

For details about what is considered commercial and non-commercial uses, please see below.
 
## Non-commercial uses of EjsS

Non-commercial uses of EjsS involve primarily students and teachers who use EjsS at home and in school for the purposes of their school or academic study and teaching, without intending to seek any commercial advantage or financial gain.
 
## Commercial uses of EjsS

Commercial use of EjsS involve primarily publishers, online schools and non-profit organizations who use EjsS to support activities that are intended toward securing a commercial advantage or the generation of revenue or monetary compensation.
 
### Examples of commercial use of EJS:

* The creation of educational materials or resources sold in exchange for a fee or (if given away for free) which are used to gain a commercial advantage for the user;
* The provision of training, support or any other services that use or reference EjsS (or any related materials or resources) in exchange for a fee;
* The creation of a textbook or journal, whether or not the book or journal is distributed for a fee;
* The creation of materials or resources included in a Massive Open Online Course (MOOC);
* The use of EjsS or related materials as part of a conference where delegates are charged to attend and/or purchase conference materials (which include EjsS or any related materials or resources);
* The use of EjsS or related materials to assist in securing advertising or sponsorship type revenues.

## Easy JavaScript Simulations Non-Commercial License Agreement

Easy JavaScript Simulations is developed and supported at the University of Murcia, Spain, including its source code, installers, web applications and services, language files and associated documentation.
 
The terms of this License form a binding agreement between you, an individual user or non-commercial organization (“you” or “your”), and us regarding your non-commercial use of Easy JavaScript Simulations. By downloading, accessing or otherwise using Easy JavaScript Simulations you indicate your agreement to be bound by these License terms.
 
PLEASE NOTE THAT THIS LICENSE IS INTENDED FOR NON-COMMERCIAL USE OF EASY JAVASCRIPT SIMULATIONS ONLY. IF YOU INTEND TO USE EASY JAVASCRIPT SIMULATIONS FOR A COMMERCIAL PURPOSE, PLEASE CONTACT ejsS@um.es TO ARRANGE AN AGREEMENT WITH US BASED ON OUR COMMERCIAL LICENSE TERMS.
 
### Non-commercial License Terms
 
This License incorporates (by reference) additional license terms published by the Creative Commons Corporation. In the event of any conflict between those additional terms and the terms of this License, the latter shall prevail.
 
The Easy JavaScript Simulations library is licensed to you (on a limited, non-exclusive, personal, non-transferable and royalty-free license) under which you are free to use, copy, distribute, modify and transmit the Easy JavaScript Simulations library PROVIDED THAT you only do so for non-commercial purposes (without charging a fee to any third party) and PROVIDED THAT you attribute the work to us by (at least) mentioning our name, including an appropriate copyright notice.
 
All Easy JavaScript Simulations documentation and examples are licensed to you under the terms of the Creative Commons Attribution-NonCommercial-ShareAlike licence (version 3.0 or later), the current text of which can be found via this link: http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode. Attribution (as required by that Creative Commons license) should take the form of (at least) a mention of our name and an appropriate copyright notice.  
 
Easy JavaScript Simulations (the library and all related materials and resources) are licensed to you WITHOUT ANY WARRANTY and on an AS IS basis including without limitation the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. We accept no liability for your use of the Software (save to the extent such liability cannot be excluded as a matter of law).
 
Easy JavaScript Simulations (the library and all related materials and resources) are licensed to you without any offer or promise of support or future development by the University of Murcia or any third party. Please note that support services are available under the terms of a separate commercial agreement.
 
You may install Easy JavaScript Simulations on multiple devices in multiple locations PROVIDED THAT you always use the Software for non-commercial purposes and otherwise in accordance with these License terms.
 
The copyright and other intellectual property rights (including any trade marks) of whatever nature (arising anywhere in the world) in the Easy JavaScript Simulations library (and all related resources) are and will remain our property (or in the case of third party materials (including software libraries) which we have the right of use, the property of the third party licensor), and we reserve the right to grant licenses to use the Easy JavaScript Simulations software (and all related resources) to third parties.  
 
An “appropriate copyright notice” for the purposes of this License shall take the following form: 
Copyright © Universidad de Murcia
 
This License is personal to you and you must not assign it to a third party or permit any third party to benefit from it without our prior written consent.
 
You will notify us immediately if you become aware of any unauthorised use of the whole or any part of the Easy JavaScript Simulations software (or any related resources).
 
If any of the provisions of this License (including the additional terms incorporated by reference) are held to be invalid or unenforceable under any applicable statute or rule of law, it is to that extent to be deemed omitted from the License. Such an omission will not affect the validity of the remaining provisions of the License, which will remain in full force and effect.
 
This License shall be governed by and interpreted in accordance with Spanish law. 
These License terms were last updated in November 2017.
 
Universidad de Murcia 
Campus de Espinardo, Murcia, Spain 
ejsS@um.es 
